%define name smeserver-mediatomb
%define version 1.0
%define release 6
Summary: mediatomb is a helpdesk system
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Distribution: SME Server
License: GNU GPL version 2
Group: SMEserver/addon
Source: smeserver-mediatomb-%{version}.tar.gz
Patch0: smeserver-mediatomb-1.0-port_proxypass.patch
Patch1: smeserver-mediatomb-1.0-templates_fixes.patch
Patch2: smeserver-mediatomb-1.0-conf_action.patch
Patch3: smeserver-mediatomb-1.0-bz10546-EOL.patch
Patch4: smeserver-mediatomb-1.0-bz10568.actions.patch
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}-buildroot
BuildRequires: e-smith-devtools
Requires: e-smith-release >= 9.0
Requires: mediatomb 
Requires: vlc-core
Requires: libupnp
Requires: libdlna
Requires: libextractor
Requires: perl-File-LibMagic
Requires: vorbis-tools
AutoReqProv: no

%description
mediatomb is an application adapted as a contrib for SMEserver 

%changelog
* Fri Apr 20 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.0-6.sme
- fix wrong script path  [SME: 10568]

* Tue Mar 27 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.0-5.sme
- fix warning on db init [SME: 10546]

* Tue Mar 20 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.0-4.sme
- add requires vorbis
- replace restart in conf-mediatomb by an action that also trigger mysql db creation

* Tue Mar 20 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.0-3.sme
- fix few templates issues

* Tue Mar 20 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.0-2.sme
- added proxypass to /mediatomb
- added port 50500 to TCCPort

* Sun Mar 18 2018  CONTRIB MAKER <tests@pialasse.com> 1-1.sme
- initial release
- builds from initial .tar.gz 

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
     > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)


